from setuptools import setup

with open("README.md") as f:
    readme = f.read()

setup(
    name="Certipy",
    version="4.0.0",
    license="MIT",
    author="ly4k",
    url="https://github.com/ly4k/Certipy",
    long_description=readme,
    install_requires=[
        "asn1crypto",
        "cryptography>=37.0",
        "impacket",
        "ldap3",
        "pyasn1",
        "dnspython",
        "dsinternals",
        "pyopenssl>=22.0.0",
        "requests",
        "requests_ntlm",
        'winacl; platform_system=="Windows"',
        'wmi; platform_system=="Windows"',
    ],
    packages=[
        "certipy",
        "certipy.commands",
        "certipy.commands.parsers",
        "certipy.lib",
        "certipy.lib.sspi",
    ],
    entry_points={
        "console_scripts": ["certipy=certipy.entry:main"],
    },
    description="Active Directory Certificate Services enumeration and abuse",
)
